<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Environment_Student extends Controller_Environment_User
{
    /** @var Model_User_Student */
    protected $user;

    /**
     * @var string
     * Path to students twig folder
     */
    const STUDENT = 'student/';

    public function before() {
        parent::before();

        $role = $this->user->RoleMark;
        Access::instance($role)->checkAccess(Access::RIGHTS_STUDENT);

        // todo: remove it, english only
        $uniDegree = $this->user->Degree;
        $this->user->Degree = Model_Grades::getDegreeTitle($uniDegree);
    }
}